> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Transaction Details V3

> Returns full details for a transaction by ID, including status, amounts, fees, and settlement data. The populated fields vary based on the transaction type.

## What changed from V2

The request and response are identical to V2. Only the path differs. No `X-Idempotency-Key` is needed.


## OpenAPI

````yaml GET /v3/transactions/{transaction_id}
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: >-
    A simple API specification for Fin.com, a financial services platform that
    provides a range of banking and payment solutions for businesses and
    individuals. This API allows developers to integrate Fin.com's services into
    their applications, enabling functionalities such as customer management,
    transaction processing, and access to financial data.
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
  - name: Crypto Orchestration
    description: >-
      Accept crypto deposits from exchange and external wallets and settle them
      to a destination wallet
paths:
  /v3/transactions/{transaction_id}:
    get:
      tags:
        - Transactions
      summary: Fetch Transaction Details V3
      description: >-
        Returns full details for a transaction by ID, including status, amounts,
        fees, and settlement data. The populated fields vary based on the
        transaction type.
      operationId: getTransactionByIdV3
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: 8c92e9dd-6456-4aee-a441-1861144f1d8b
      responses:
        '200':
          description: Transaction details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    oneOf:
                      - title: Onramp
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            example: 8fe1ca7c-4e6e-44c6-8706-87ac74c22554
                          transaction_type:
                            type: string
                            example: ONRAMP
                          customer_id:
                            type: string
                            format: uuid
                            nullable: true
                            example: 80fd79d6-ad3d-4797-ad61-fc2dd1b7639d
                          beneficiary_id:
                            type: string
                            format: uuid
                            nullable: true
                            example: null
                          hash:
                            type: string
                            nullable: true
                            example: >-
                              0x3eef859d9c1745ba24209331d67e04f26e38ce45e48c85ed50f5e66a42cd57e9
                          status:
                            type: string
                            enum:
                              - PENDING
                              - PROCESSING
                              - COMPLETED
                              - FAILED
                              - REFUNDED
                            example: COMPLETED
                          batch_info:
                            type: object
                            nullable: true
                            properties:
                              batch_id:
                                type: string
                                format: uuid
                              batch_item_id:
                                type: string
                                format: uuid
                            example: null
                          fiat_details:
                            type: object
                            nullable: true
                            properties:
                              source_amount:
                                type: number
                                nullable: true
                                example: 17
                              source_currency:
                                type: string
                                nullable: true
                                example: USD
                              destination_amount:
                                type: number
                                nullable: true
                                example: 17
                              destination_currency:
                                type: string
                                nullable: true
                                example: USDC
                              fx_rate:
                                type: number
                                nullable: true
                                example: 0
                          crypto_details:
                            type: object
                            nullable: true
                            properties:
                              source_amount:
                                type: number
                                nullable: true
                                example: null
                              source_currency:
                                type: string
                                nullable: true
                                example: null
                              source_rail:
                                type: string
                                nullable: true
                                example: null
                              source_address:
                                type: string
                                nullable: true
                                example: null
                              destination_amount:
                                type: number
                                nullable: true
                                example: null
                              destination_currency:
                                type: string
                                nullable: true
                                example: null
                              destination_rail:
                                type: string
                                nullable: true
                                example: null
                              destination_address:
                                type: string
                                nullable: true
                                example: null
                              tx_hash:
                                type: string
                                nullable: true
                                example: null
                          fees:
                            type: object
                            nullable: true
                            properties:
                              developer_fee:
                                type: object
                                properties:
                                  fixed:
                                    type: number
                                    example: 0
                                  percentage:
                                    type: number
                                    example: 0
                              total_developer_fee:
                                type: number
                                example: 0
                              network_fee:
                                type: number
                                example: 0
                              conversion_fee:
                                type: number
                                example: 0
                              total_fee:
                                type: number
                                example: 0
                          created_at:
                            type: string
                            format: date-time
                            example: '2026-03-02T15:36:39.167822Z'
                          updated_at:
                            type: string
                            format: date-time
                            example: '2026-03-02T15:36:39.167822Z'
                      - title: Offramp
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            example: 4835aa27-3c8d-4a68-b4c8-331ade5bb496
                          transaction_type:
                            type: string
                            example: OFFRAMP
                          customer_id:
                            type: string
                            format: uuid
                            nullable: true
                            example: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                          beneficiary_id:
                            type: string
                            format: uuid
                            nullable: true
                            example: 8d7f5ac6-0188-47c9-83f2-36a4aca7b472
                          hash:
                            type: string
                            nullable: true
                            example: null
                          status:
                            type: string
                            enum:
                              - PENDING
                              - PROCESSING
                              - COMPLETED
                              - FAILED
                              - REFUNDED
                            example: COMPLETED
                          batch_info:
                            type: object
                            nullable: true
                            properties:
                              batch_id:
                                type: string
                                format: uuid
                                example: c54b8cd6-efb4-4e36-92f0-2d289eefea52
                              batch_item_id:
                                type: string
                                format: uuid
                                example: 32cf1b58-d026-494b-b6c6-d1e0af78060c
                          fiat_details:
                            type: object
                            nullable: true
                            properties:
                              source_amount:
                                type: number
                                nullable: true
                                example: 5
                              source_currency:
                                type: string
                                nullable: true
                                example: USD
                              destination_amount:
                                type: number
                                nullable: true
                                example: 526.48
                              destination_currency:
                                type: string
                                nullable: true
                                example: BDT
                              fx_rate:
                                type: number
                                nullable: true
                                example: 117.19
                          crypto_details:
                            type: object
                            nullable: true
                            properties:
                              source_amount:
                                type: number
                                nullable: true
                                example: null
                              source_currency:
                                type: string
                                nullable: true
                                example: null
                              source_rail:
                                type: string
                                nullable: true
                                example: null
                              source_address:
                                type: string
                                nullable: true
                                example: null
                              destination_amount:
                                type: number
                                nullable: true
                                example: null
                              destination_currency:
                                type: string
                                nullable: true
                                example: null
                              destination_rail:
                                type: string
                                nullable: true
                                example: null
                              destination_address:
                                type: string
                                nullable: true
                                example: null
                              tx_hash:
                                type: string
                                nullable: true
                                example: null
                          fees:
                            type: object
                            nullable: true
                            properties:
                              developer_fee:
                                type: object
                                properties:
                                  fixed:
                                    type: number
                                    example: 0.5
                                  percentage:
                                    type: number
                                    example: 0
                              total_developer_fee:
                                type: number
                                example: 0.51
                              network_fee:
                                type: number
                                example: 0
                              conversion_fee:
                                type: number
                                example: 0
                              total_fee:
                                type: number
                                example: 0.51
                          created_at:
                            type: string
                            format: date-time
                            example: '2026-04-25T20:40:08.235667Z'
                          updated_at:
                            type: string
                            format: date-time
                            example: '2026-04-25T20:42:52.072478Z'
                      - title: Crypto deposit
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            example: 11e9dea6-7891-43dd-a582-281394edd288
                          transaction_type:
                            type: string
                            example: CRYPTO_DEPOSIT
                          customer_id:
                            type: string
                            format: uuid
                            nullable: true
                            example: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                          beneficiary_id:
                            type: string
                            format: uuid
                            nullable: true
                            example: null
                          hash:
                            type: string
                            nullable: true
                            example: >-
                              31NgS1hCLaH6sitUSFRbXDF9tPhMrA5nqSNSSvvLPFRrScwDdDRUnE8FV8mLgxdx7TDhxdk7chKNhc1gbeFRNkAf
                          status:
                            type: string
                            enum:
                              - PENDING
                              - PROCESSING
                              - COMPLETED
                              - FAILED
                              - REFUNDED
                            example: COMPLETED
                          batch_info:
                            type: object
                            nullable: true
                            properties:
                              batch_id:
                                type: string
                                format: uuid
                              batch_item_id:
                                type: string
                                format: uuid
                            example: null
                          fiat_details:
                            type: object
                            nullable: true
                            properties:
                              source_amount:
                                type: number
                                nullable: true
                                example: null
                              source_currency:
                                type: string
                                nullable: true
                                example: null
                              destination_amount:
                                type: number
                                nullable: true
                                example: null
                              destination_currency:
                                type: string
                                nullable: true
                                example: null
                              fx_rate:
                                type: number
                                nullable: true
                                example: null
                          crypto_details:
                            type: object
                            nullable: true
                            properties:
                              source_amount:
                                type: number
                                nullable: true
                                example: 15
                              source_currency:
                                type: string
                                nullable: true
                                example: USDC
                              source_rail:
                                type: string
                                nullable: true
                                example: SOLANA
                              source_address:
                                type: string
                                nullable: true
                                example: FEAp246mLPgWGVa12KG99GcRuptuCF3uTADp95pcy2cr
                              destination_amount:
                                type: number
                                nullable: true
                                example: 15
                              destination_currency:
                                type: string
                                nullable: true
                                example: USDC
                              destination_rail:
                                type: string
                                nullable: true
                                example: SOLANA
                              destination_address:
                                type: string
                                nullable: true
                                example: BCSZEokfpVsSpUuuZJMScLiUpYjvvUmrrAJkNbrTTnng
                              tx_hash:
                                type: string
                                nullable: true
                                example: >-
                                  31NgS1hCLaH6sitUSFRbXDF9tPhMrA5nqSNSSvvLPFRrScwDdDRUnE8FV8mLgxdx7TDhxdk7chKNhc1gbeFRNkAf
                          fees:
                            type: object
                            nullable: true
                            properties:
                              developer_fee:
                                type: object
                                properties:
                                  fixed:
                                    type: number
                                    example: 0
                                  percentage:
                                    type: number
                                    example: 0
                              total_developer_fee:
                                type: number
                                example: 0
                              network_fee:
                                type: number
                                example: 0
                              conversion_fee:
                                type: number
                                example: 0
                              total_fee:
                                type: number
                                example: 0
                          created_at:
                            type: string
                            format: date-time
                            example: '2026-04-25T19:12:07.804074Z'
                          updated_at:
                            type: string
                            format: date-time
                            example: '2026-04-25T19:12:07.804074Z'
                      - title: Crypto withdrawal
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            example: 8c92e9dd-6456-4aee-a441-1861144f1d8b
                          transaction_type:
                            type: string
                            example: CRYPTO_WITHDRAWAL
                          customer_id:
                            type: string
                            format: uuid
                            nullable: true
                            example: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                          beneficiary_id:
                            type: string
                            format: uuid
                            nullable: true
                            example: 6af8d598-36a5-477d-9320-d7c5ba309107
                          hash:
                            type: string
                            nullable: true
                            example: >-
                              0xd2a3d65ce04c24c7af2b4ab86ac8c3ca525d010c600733bb062be74ee3899ec9
                          status:
                            type: string
                            enum:
                              - PENDING
                              - PROCESSING
                              - COMPLETED
                              - FAILED
                              - REFUNDED
                            example: COMPLETED
                          batch_info:
                            type: object
                            nullable: true
                            properties:
                              batch_id:
                                type: string
                                format: uuid
                              batch_item_id:
                                type: string
                                format: uuid
                            example: null
                          fiat_details:
                            type: object
                            nullable: true
                            properties:
                              source_amount:
                                type: number
                                nullable: true
                                example: null
                              source_currency:
                                type: string
                                nullable: true
                                example: null
                              destination_amount:
                                type: number
                                nullable: true
                                example: null
                              destination_currency:
                                type: string
                                nullable: true
                                example: null
                              fx_rate:
                                type: number
                                nullable: true
                                example: null
                          crypto_details:
                            type: object
                            nullable: true
                            properties:
                              source_amount:
                                type: number
                                nullable: true
                                example: 5
                              source_currency:
                                type: string
                                nullable: true
                                example: USDC
                              source_rail:
                                type: string
                                nullable: true
                                example: POLYGON
                              source_address:
                                type: string
                                nullable: true
                                example: '0xc42a5f7083c7e8f1d9820c7660867277289cd998'
                              destination_amount:
                                type: number
                                nullable: true
                                example: 4.98535
                              destination_currency:
                                type: string
                                nullable: true
                                example: USDC
                              destination_rail:
                                type: string
                                nullable: true
                                example: POLYGON
                              destination_address:
                                type: string
                                nullable: true
                                example: '0xD2Ba7d0DaBd36498df5906fC7B054Fa9EfA9843E'
                              tx_hash:
                                type: string
                                nullable: true
                                example: >-
                                  0xd2a3d65ce04c24c7af2b4ab86ac8c3ca525d010c600733bb062be74ee3899ec9
                          fees:
                            type: object
                            nullable: true
                            properties:
                              developer_fee:
                                type: object
                                properties:
                                  fixed:
                                    type: number
                                    example: 0.01
                                  percentage:
                                    type: number
                                    example: 0.0005
                              total_developer_fee:
                                type: number
                                example: 0.0105
                              network_fee:
                                type: number
                                example: 0.004149
                              conversion_fee:
                                type: number
                                example: 0
                              total_fee:
                                type: number
                                example: 0.014649
                          created_at:
                            type: string
                            format: date-time
                            example: '2026-04-29T09:56:14.906031Z'
                          updated_at:
                            type: string
                            format: date-time
                            example: '2026-04-29T09:56:58.631047Z'
              examples:
                Onramp:
                  summary: Onramp transaction
                  value:
                    data:
                      id: 8fe1ca7c-4e6e-44c6-8706-87ac74c22554
                      transaction_type: ONRAMP
                      customer_id: 80fd79d6-ad3d-4797-ad61-fc2dd1b7639d
                      beneficiary_id: null
                      hash: >-
                        0x3eef859d9c1745ba24209331d67e04f26e38ce45e48c85ed50f5e66a42cd57e9
                      status: COMPLETED
                      created_at: '2026-03-02T15:36:39.167822Z'
                      updated_at: '2026-03-02T15:36:39.167822Z'
                      batch_info: null
                      fiat_details:
                        source_amount: 17
                        source_currency: USD
                        destination_amount: 17
                        destination_currency: USDC
                        fx_rate: 0
                      crypto_details:
                        source_amount: null
                        source_currency: null
                        source_rail: null
                        source_address: null
                        destination_amount: null
                        destination_currency: null
                        destination_rail: null
                        destination_address: null
                        tx_hash: null
                      fees:
                        developer_fee:
                          fixed: 0
                          percentage: 0
                        total_developer_fee: 0
                        network_fee: 0
                        conversion_fee: 0
                        total_fee: 0
                Offramp:
                  summary: Offramp transaction
                  value:
                    data:
                      id: 4835aa27-3c8d-4a68-b4c8-331ade5bb496
                      transaction_type: OFFRAMP
                      customer_id: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                      beneficiary_id: 8d7f5ac6-0188-47c9-83f2-36a4aca7b472
                      hash: null
                      status: COMPLETED
                      created_at: '2026-04-25T20:40:08.235667Z'
                      updated_at: '2026-04-25T20:42:52.072478Z'
                      batch_info:
                        batch_id: c54b8cd6-efb4-4e36-92f0-2d289eefea52
                        batch_item_id: 32cf1b58-d026-494b-b6c6-d1e0af78060c
                      fiat_details:
                        source_amount: 5
                        source_currency: USD
                        destination_amount: 526.48
                        destination_currency: BDT
                        fx_rate: 117.19
                      crypto_details:
                        source_amount: null
                        source_currency: null
                        source_rail: null
                        source_address: null
                        destination_amount: null
                        destination_currency: null
                        destination_rail: null
                        destination_address: null
                        tx_hash: null
                      fees:
                        developer_fee:
                          fixed: 0.5
                          percentage: 0
                        total_developer_fee: 0.51
                        network_fee: 0
                        conversion_fee: 0
                        total_fee: 0.51
                Crypto deposit:
                  summary: Crypto deposit transaction
                  value:
                    data:
                      id: 11e9dea6-7891-43dd-a582-281394edd288
                      transaction_type: CRYPTO_DEPOSIT
                      customer_id: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                      beneficiary_id: null
                      hash: >-
                        31NgS1hCLaH6sitUSFRbXDF9tPhMrA5nqSNSSvvLPFRrScwDdDRUnE8FV8mLgxdx7TDhxdk7chKNhc1gbeFRNkAf
                      status: COMPLETED
                      created_at: '2026-04-25T19:12:07.804074Z'
                      updated_at: '2026-04-25T19:12:07.804074Z'
                      batch_info: null
                      fiat_details:
                        source_amount: null
                        source_currency: null
                        destination_amount: null
                        destination_currency: null
                        fx_rate: null
                      crypto_details:
                        source_amount: 15
                        source_currency: USDC
                        source_rail: SOLANA
                        source_address: FEAp246mLPgWGVa12KG99GcRuptuCF3uTADp95pcy2cr
                        destination_amount: 15
                        destination_currency: USDC
                        destination_rail: SOLANA
                        destination_address: BCSZEokfpVsSpUuuZJMScLiUpYjvvUmrrAJkNbrTTnng
                        tx_hash: >-
                          31NgS1hCLaH6sitUSFRbXDF9tPhMrA5nqSNSSvvLPFRrScwDdDRUnE8FV8mLgxdx7TDhxdk7chKNhc1gbeFRNkAf
                      fees:
                        developer_fee:
                          fixed: 0
                          percentage: 0
                        total_developer_fee: 0
                        network_fee: 0
                        conversion_fee: 0
                        total_fee: 0
                Crypto withdrawal:
                  summary: Crypto withdrawal transaction
                  value:
                    data:
                      id: 8c92e9dd-6456-4aee-a441-1861144f1d8b
                      transaction_type: CRYPTO_WITHDRAWAL
                      customer_id: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                      beneficiary_id: 6af8d598-36a5-477d-9320-d7c5ba309107
                      hash: >-
                        0xd2a3d65ce04c24c7af2b4ab86ac8c3ca525d010c600733bb062be74ee3899ec9
                      status: COMPLETED
                      created_at: '2026-04-29T09:56:14.906031Z'
                      updated_at: '2026-04-29T09:56:58.631047Z'
                      batch_info: null
                      fiat_details:
                        source_amount: null
                        source_currency: null
                        destination_amount: null
                        destination_currency: null
                        fx_rate: null
                      crypto_details:
                        source_amount: 5
                        source_currency: USDC
                        source_rail: POLYGON
                        source_address: '0xc42a5f7083c7e8f1d9820c7660867277289cd998'
                        destination_amount: 4.98535
                        destination_currency: USDC
                        destination_rail: POLYGON
                        destination_address: '0xD2Ba7d0DaBd36498df5906fC7B054Fa9EfA9843E'
                        tx_hash: >-
                          0xd2a3d65ce04c24c7af2b4ab86ac8c3ca525d010c600733bb062be74ee3899ec9
                      fees:
                        developer_fee:
                          fixed: 0.01
                          percentage: 0.0005
                        total_developer_fee: 0.0105
                        network_fee: 0.004149
                        conversion_fee: 0
                        total_fee: 0.014649
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.